import request from '@/config/axios'

// 车辆标记
export const carMark = (params) => {
  return request.get({ url: '/qxsd/vehicle/focusVehiclesMark', params })
}

// 取消标记
export const cancelMark = (params) => {
  return request.get({ url: '/qxsd/vehicle/focusVehiclesUnMark', params })
}

// 获取留存车辆
export const remainCars = (data) => {
  // return request.post({ url: '/qxsd/vehicle/retainedCarList', data })
  return request.post({ url: '/qxsd/vehicle/retainedCarList', data })
}

// 获取车辆信息
export const getCarInfos = (params) => {
  return request.get({ url: '/qxsd/vehicle/vehicleInfoByCarId', params })
}

// 获取平均车流量
export const getAvargeFlow = (data) => {
  return request.post({ url: '/qxsd/tunnel/trafficFlowMetric', data })
}


// 获取视频流 code
export const getVideoCode = (params?) => {
  return request.get({ url: '/qxsd/video/test1', params })
}

// 获取视频流地址
export const getVideoUrl = (params) => {
  return request.get({ url: '/qxsd/video/cameraPreviewURLs', params })
}

// 获取隧道段面拥堵情况
export const getFlowSections = (data) => {
  return request.post({ url: '/qxsd/tunnel/sectionCongestion', data })
}